[Unit]
Description=Bind mount volatile /var/samhain
DefaultDependencies=false
Before=local-fs.target
RequiresMountsFor=/tmp /var
ConditionPathIsReadWrite=/tmp
ConditionPathExists=/var/samhain
ConditionPathIsReadWrite=!/var/samhain

[Service]
Type=oneshot
RemainAfterExit=Yes
StandardOutput=syslog
TimeoutSec=0
ExecStart=/sbin/mount-copybind /tmp/samhain /var/samhain
ExecStop=/bin/umount /var/samhain

[Install]
WantedBy=local-fs.target
